-- シミュレーションの設定ファイル
-- Satofumi KAMIMURA
-- $Id: simulation_settings.lua 1500 2009-11-07 15:05:03Z satofumi $

-- 利用デバイスの初期化
DeviceManager():createDevice("/dev/ttyACM0", "UrgDevice", "urg")

-- デバイスを作成
DeviceManager():device("urg"):activate()

-- デバイス位置を設定
local urg = DeviceManager():model("urg")
urg:setPosition(Position(0, 0, deg(0)), nil, false)

-- カメラ視点を設定
CameraViewManager():setScale(0.15)

-- 障害物を配置
local box = Box(1000, 100, 500, 1.0)
box:setPosition(Position(0, 1000, deg(0)), nil, false)
